[arch-commits] Commit in fontcacheproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 02:34:38 EDT 2009


    Date: Saturday, April 4, 2009 @ 02:34:38
  Author: eric
Revision: 33069

upgpkg: fontcacheproto 0.1.2-2
    Added license

Modified:
  fontcacheproto/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-04 06:32:39 UTC (rev 33068)
+++ PKGBUILD	2009-04-04 06:34:38 UTC (rev 33069)
@@ -3,17 +3,19 @@
 
 pkgname=fontcacheproto
 pkgver=0.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 font cache extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('BSD')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('60df6b625074a9790e28543dcea71651')
 sha1sums=('6a531ef505ba2f7c1aa884bb4efdac3e32dfd99b')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list